6.0.0-git
2019-03-23

[#11143] the "Purge Deleted" action in Dynamic view does not refresh the message list
Summary the "Purge Deleted" action in Dynamic view does not refresh the message list
Queue IMP
Queue Version 5.0.20
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester jcblanco (at) fi (dot) upm (dot) es
Created 2012-04-11 (2537 days ago)
Due
Updated 2012-07-04 (2453 days ago)
Assigned 2012-04-12 (2536 days ago)
Resolved 2012-04-12 (2536 days ago)
Milestone
Patch No

History
2012-07-04 08:04:32 jcblanco (at) fi (dot) upm (dot) es Comment #22 Reply to this comment
I'm sure you are right but I can confirm that with Imap_Client 1.5.4 
the "purge deleted" option of DIMP works and with 1.5.5 does not. The 
messages are deleted but the message view is not refreshed correclty, 
if the last message is deleted none of the purged messages disappear 
form the view and if not the view is updated but in a wrong way.
2012-07-03 17:36:52 Michael Slusarz Comment #21 Reply to this comment
Hello again, based on the last modificaction, perhaps the right 
modification may be:

if (!empty($res['lookup']) || count($ob['uids'])) {
         $ob['lookup'] = array_merge($ob['lookup'], $res['lookup']);
}
This is not needed.  There is no need to check for the existence of 
'uids' when the conditional code only refers to the 'lookup' index.

2012-07-03 17:35:14 Michael Slusarz Comment #20 Reply to this comment
Hello, i'm sorry to bother you again, I think that I've tested this 
patch from you when committed, however today I've installed the last 
releases of Horde/IMP including the new version of Horde_Imap_Client 
1.5.5. That version includes this last change of bug 11143, well 
with it  the described error is back again while with 
Horde_Imap_Client 1.5.4 the error does not occur
I do not see this.  And this would not make sense with the changes 
between 1.5.4 and 1.5.5.
2012-07-03 11:26:52 jcblanco (at) fi (dot) upm (dot) es Comment #19 Reply to this comment
Hello again, based on the last modificaction, perhaps the right 
modification may be:

if (!empty($res['lookup']) || count($ob['uids'])) {
         $ob['lookup'] = array_merge($ob['lookup'], $res['lookup']);
}

2012-07-02 18:47:01 jcblanco (at) fi (dot) upm (dot) es Comment #18 Reply to this comment
Hello, i'm sorry to bother you again, I think that I've tested this 
patch from you when committed, however today I've installed the last 
releases of Horde/IMP including the new version of Horde_Imap_Client 
1.5.5. That version includes this last change of bug 11143, well with 
it  the described error is back again while with Horde_Imap_Client 
1.5.4 the error does not occur
2012-04-13 17:38:10 Git Commit Comment #17 Reply to this comment
Changes have been made in Git (develop):

commit f458c3b2482e0b1d8ce6a96d9fa5e24622401961
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Fri Apr 13 10:30:43 2012 -0600

     Better fix for Bug #11143

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   11 +++++------
  1 files changed, 5 insertions(+), 6 deletions(-)

http://git.horde.org/horde-git/-/commit/f458c3b2482e0b1d8ce6a96d9fa5e24622401961
2012-04-13 17:38:06 Git Commit Comment #16 Reply to this comment
Changes have been made in Git (develop):

commit 7f1c7ca00c593c64a35ba1ee5ac57b31d37e254f
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Fri Apr 13 09:35:51 2012 -0600

     We need both of these checks (Bug #11143)

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    3 ++-
  1 files changed, 2 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/7f1c7ca00c593c64a35ba1ee5ac57b31d37e254f
2012-04-13 16:31:50 Git Commit Comment #15 Reply to this comment
Changes have been made in Git (master):

commit f458c3b2482e0b1d8ce6a96d9fa5e24622401961
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Fri Apr 13 10:30:43 2012 -0600

     Better fix for Bug #11143

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   11 +++++------
  1 files changed, 5 insertions(+), 6 deletions(-)

http://git.horde.org/horde-git/-/commit/f458c3b2482e0b1d8ce6a96d9fa5e24622401961
2012-04-13 15:36:20 Git Commit Comment #14 Reply to this comment
Changes have been made in Git (master):

commit 7f1c7ca00c593c64a35ba1ee5ac57b31d37e254f
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Fri Apr 13 09:35:51 2012 -0600

     We need both of these checks (Bug #11143)

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    3 ++-
  1 files changed, 2 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/7f1c7ca00c593c64a35ba1ee5ac57b31d37e254f
2012-04-13 08:53:10 jcblanco (at) fi (dot) upm (dot) es Comment #13 Reply to this comment
Ok, thanks, I've just tested version 1.5.4 of Imap_Client and works 
fine again.
2012-04-12 22:41:49 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (develop):

commit bf80190466648c4c8391d8852fb5e6302e6fbb00
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Apr 12 16:37:28 2012 -0600

     [mms] Fix regression in caching code (Bug #11143).

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    2 +-
  framework/Imap_Client/package.xml                  |    4 ++--
  2 files changed, 3 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/bf80190466648c4c8391d8852fb5e6302e6fbb00
2012-04-12 22:41:46 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (develop):

commit 327c9a3b8cea4292c00c24d8af0a80d62234ce37
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Apr 12 16:36:57 2012 -0600

     Revert "[mms] Fix regression in caching code (Bug #11143)."

     This reverts commit 382e7efa8d20ed03f9b1d77b2cfc80a3ee5269f4.

  framework/Core/package.xml |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/327c9a3b8cea4292c00c24d8af0a80d62234ce37
2012-04-12 22:41:43 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (develop):

commit 382e7efa8d20ed03f9b1d77b2cfc80a3ee5269f4
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Apr 12 16:35:59 2012 -0600

     [mms] Fix regression in caching code (Bug #11143).

  framework/Core/package.xml |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/382e7efa8d20ed03f9b1d77b2cfc80a3ee5269f4
2012-04-12 22:39:30 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit bf80190466648c4c8391d8852fb5e6302e6fbb00
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Apr 12 16:37:28 2012 -0600

     [mms] Fix regression in caching code (Bug #11143).

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    2 +-
  framework/Imap_Client/package.xml                  |    4 ++--
  2 files changed, 3 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/bf80190466648c4c8391d8852fb5e6302e6fbb00
2012-04-12 22:39:28 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 327c9a3b8cea4292c00c24d8af0a80d62234ce37
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Apr 12 16:36:57 2012 -0600

     Revert "[mms] Fix regression in caching code (Bug #11143)."

     This reverts commit 382e7efa8d20ed03f9b1d77b2cfc80a3ee5269f4.

  framework/Core/package.xml |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/327c9a3b8cea4292c00c24d8af0a80d62234ce37
2012-04-12 22:39:16 Michael Slusarz Comment #7
State ⇒ Resolved
Priority ⇒ 2. Medium
Reply to this comment
Yes... this was a change I forgot to back out when trying to fix 
another bug.  $ob['uids'] won't be empty because it is an object - we 
need to explicitly do a count() on the object to get the number of UID 
members.

This has been fixed in Horde_Imap_Client 1.5.4.
2012-04-12 22:36:11 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit 382e7efa8d20ed03f9b1d77b2cfc80a3ee5269f4
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Apr 12 16:35:59 2012 -0600

     [mms] Fix regression in caching code (Bug #11143).

  framework/Core/package.xml |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/382e7efa8d20ed03f9b1d77b2cfc80a3ee5269f4
2012-04-12 18:42:40 jcblanco (at) fi (dot) upm (dot) es Comment #5 Reply to this comment
Well, since I don't know the HORDE/IMP code , I'm not able to say no 
but  I'm using the patched of the #11137 bug of  Imap_Client (1.5.3) 
and the problem persist. I have been doing some tests and I think that 
the problem is related  to the change in _getSeqUidLookup function, If 
I revert the change in line 3724 to "if (!count($ob['uids'])) {" 
instead of "if (empty($ob['uids'])) {"
the message list seems to be updated correctly.

2012-04-12 18:28:10 Michael Slusarz Comment #4 Reply to this comment
Sounds like a duplicate of #11137.
2012-04-12 13:47:35 jcblanco (at) fi (dot) upm (dot) es Comment #3 Reply to this comment
Hello again, I have been reverting the last package upgrades and I 
think that the problem is caused bye Horde_Imap_Client-1.5.2, If I 
reinstall the 1.5.1 version the Purge seems to work fine again. Hope 
this helps
2012-04-12 09:45:06 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
Priority ⇒ 1. Low
 
2012-04-11 14:14:32 jcblanco (at) fi (dot) upm (dot) es Comment #2 Reply to this comment
I have some other information, the comented problem occurs if you 
delete the last message in the folder; if the deleted messages dows 
not include the last one the message list is updated but in wrong way, 
all but the first deleted messages and the last undeleted message were 
removed from the list, one of the deleted messages remains instead of 
the last. Reloading the page show the correct message list.
2012-04-11 13:35:36 jcblanco (at) fi (dot) upm (dot) es Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ the "Purge Deleted" action in Dynamic view does not refresh the message list
Due ⇒ 2012-04-11
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
After updating to the last versions of Horde framework packages and 
IMP 5.0.20, I have a problem purging deleted messages using the 
dynamic view. If I delete various messages in a folder and then go to 
Other -> "Purge Deleted" de list of messages is not updated, however 
if I open a different folder and came back to the first one, the 
message list is updated. The messages are purged in the server.

Saved Queries